// Outputs luminance (grayscale) of the input image _MainTex

Shader "Hidden/Contrast Stretch Luminance" {
	
Properties {
	_MainTex ("Base (RGB)", RECT) = "white" {}
}

Category {
	SubShader {
		Pass {
			ZTest Always Cull Off ZWrite Off
			Fog { Mode off }
				
CGPROGRAM
// profiles arbfp1
// fragment frag
// fragmentoption ARB_precision_hint_fastest 
// vertex vert_img
#include "UnityCG.cginc"

uniform samplerRECT _MainTex;

float4 frag (v2f_img i) : COLOR
{
	float4 col = texRECT(_MainTex, i.uv);
	col.rgb = Luminance(col.rgb) * (1+col.a*2);
	return col;
}
ENDCG

			SetTexture [_MainTex] {}
		}
	}
}

Fallback off

}